CoCoALib - Bug #1331

adj: for matrices 7x7 and bigger
08 Oct 2019 15:24 - John Abbott

Status: Closed Start date: 08 Oct 2019
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Maths Bugs Estimated time: 1.17 hour
Target version: CoCoALib-0.99800 Spent time: 1.15 hour
Description

adj (previously adjoint) gives a misleading and unnecessary error mesg if given a square matrix of dimension at least 7 over ZZ/(n)
where n is not prime.

It should not give error because the adjoint exists, and can be computed.

Related issues:
Related to CoCoALib - Bug #15: Adjoint of a non-invertible matrix Closed 28 Oct 2011

History

#1 - 08 Oct 2019 15:26 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 10

Here is a simple failing case:

7725 :1:= 7ZZ/(25);
adj (IdentityMat (2225,6)); —--> this works
adj (IdentityMat (2Z25,7)); —-> error ring is not SparsePolyRing!

#2 - 08 Oct 2019 15:26 - John Abbott
- Related to Bug #15: Adjoint of a non-invertible matrix added

#3 - 25 Sep 2020 14:35 - John Abbott
- Status changed from In Progress to Resolved

- % Done changed from 10 to 80

There were two problems:

e (A) the dispatch function ConstMatrixViewBase::myDet in matrix.C was rather crude
¢ (B) the impl of DetDirect required needlessly that the ring be a polyring (now fixed).

| have tried to improve myDet().

#4 - 25 Sep 2020 14:52 - John Abbott
- Assignee set to John Abbott
Now | have split DetDirect into two fns: one generic and one for sparsepolyrings (where | can use geobuckets)

#5 - 25 Sep 2020 14:58 - John Abbott
| have added a test to test-bug1.C

#6 - 28 Oct 2020 23:17 - John Abbott
- Status changed from Resolved to Closed
- % Done changed from 80 to 100

- Estimated time setto 1.17 h
